/* $Id$ */

#include "image/imageException.hpp"

#include <sstream>

using std::string;

using namespace jafar::image;

/*
 * class ImageException
 */

ImageException::ImageException(ExceptionId id_, const string& message_, const string& file_, int line_) throw() :
  jafar::kernel::Exception(message_, "image", exceptionIdToString(id_), file_, line_),
  id(id_)
{}

ImageException::~ImageException() throw() {}

ImageException::ExceptionId ImageException::getExceptionId() const throw() {
  return id;
}

string ImageException::exceptionIdToString(ExceptionId id_) throw() {
  switch(id_) {
   case INVALID_COLORSPACE_CONVERSION:
     return "INVALID_COLORSPACE_CONVERSION";
  default:
    std::stringstream s;
    s << id_;
    return s.str();
  }
}

